Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.expression
Interface ExpressionManager

All Known Implementing Classes:
  DefaultExpressionManager

public interface ExpressionManager

Work interface for the component that creates Expression objects. The reason for centralising the creation of expressions is so that new functions can be registered in one place.

Version:
  $Id: ExpressionManager.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary
`static String` | `ROLE`

Method Summary
`org.outerj.expression.Expression` | `parse(String expression)` Parse the given expression.
`List` | `parseVariables(String expressionString)` Parse the given expression to extract variables.

Field Detail

### ROLE

    public static final String ROLE

Method Detail

### parse

    public org.outerj.expression.Expression parse(String expression)
                                           throws org.outerj.expression.ParseException,
                                                  org.outerj.expression.ExpressionException

  Parse the given expression.

  Parameters:
    `expression` - The string containing the expression to parse.
  Returns:
    The Expression object resulting from parse.
  Throws:
    `org.outerj.expression.ParseException` - If something goes wrong while parsing.
    `org.outerj.expression.ExpressionException` - If the expression has been parsed successfully but is invalid.

### parseVariables

    public List parseVariables(String expressionString)
                        throws org.outerj.expression.ParseException,
                               org.outerj.expression.ExpressionException

  Parse the given expression to extract variables.

  Parameters:
    `expressionString` - The string containing the expression to parse.
  Returns:
    A `List` of `VariableFunction`, one for each variable used in the expression.
  Throws:
    `org.outerj.expression.ParseException` - If something goes wrong while parsing.
    `org.outerj.expression.ExpressionException` - If the expression has been parsed successfully but is invalid.
  See Also:
    `VariableFunction.getVariableName()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.